<?php
class HeadwayFacebookBlock extends HeadwayBlockAPI {
	
	
	public $id = 'Facebook';
	public $name = 'Facebook';
	public $options_class = 'HeadwayFacebookBlockOptions';
		

	function enqueue_action($block_id) {	
		wp_enqueue_script('facebook-jssdk', 'http://connect.facebook.net/en_US/all.js#xfbml=1');
	}
	function dynamic_js($block_id) {
	}
	function dynamic_css($block_id) {
	}
	function content($block) {
		//Set Some Variables!
		$block_width = HeadwayBlocksData::get_block_width($block);
		$mode = parent::get_setting($block, 'mode', 'comments');
		/* Comments */
		$number = parent::get_setting($block, 'number', 5);
		/* Like Box */
		$url = parent::get_setting($block, 'page-url', 'http://facebook.com/headwaythemes');
		$box_show_faces_check = parent::get_setting($block, 'box-show-faces', true);
			if(!$box_show_faces_check) {$box_show_faces = 'false';}
			else {$box_show_faces = 'true';}
		$box_show_stream_check = parent::get_setting($block, 'box-show-stream', true);
			if(!$box_show_stream_check) {$box_show_stream = 'false';}
			else {$box_show_stream = 'true';}
		$box_show_header_check = parent::get_setting($block, 'box-header', true);
			if(!$box_show_header_check) {$show_header = 'false';}
			else {$show_header = 'true';}
		/* Like BUtton */
		$layout = parent::get_setting($block, 'layout', 'standard');
		$send = parent::get_setting($block, 'send', true);
		$show_button_faces_check = parent::get_setting($block, 'show-button-faces', true);
			if(!$show_button_faces_check) {$show_button_faces = 'false';}
			else {$show_button_faces = 'true';}
		/* Subscribe Box */
		$profile_url = parent::get_setting($block, 'profile-url', 'https://www.facebook.com/zuck');
		$profile_layout = parent::get_setting($block, 'profile-layout', 'standard');
		$show_profile_faces_check = parent::get_setting($block, 'show-profile-faces', true);
		if(!$show_profile_faces_check) {$show_profile_faces = 'false';}
		else {$show_profile_faces = 'true';}
		/* LETS GET DOWN TO IT! */
		/* FACEBOOK COMMENTS */
		if($mode == 'comments') {
			echo '<div class="fb-comments" data-href="'.get_permalink().'" data-num-posts="'.$number.'" data-width="'.$block_width.'"></div>';
		}
		/* FACEBOOK LIKE BOX */
		elseif($mode == 'like-box') {
			echo '<div class="fb-like-box" data-href="'.$url.'" data-width="'.$block_width.'" data-show-faces="'.$box_show_faces.'" data-stream="'.$box_show_stream.'" data-header="'.$show_header.'"></div>';
		}
		elseif($mode == 'like-button') {
			echo '<div class="fb-like" data-send="'.$send.'" data-width="'.$block_width.'" data-show-faces="'.$show_button_faces.'" data-href="'.headway_get_current_url().'" data-layout="'.$layout.'"></div>';
		}
		/* SUBSCRIBE BOX */
		elseif($mode == 'subscribe-box') {
			echo '<div class="fb-subscribe" data-href="'.$profile_url.'" data-show-faces="'.$show_profile_faces.'" data-width="'.$block_width.'" data-layout="'.$profile_layout.'"></div>';
		}
		/* Just in case */
		else {
			echo 'Dafuq?';
		}
	}
}