<?php
/*
Plugin Name: Headway Block: Facebook
Plugin URI: http://www.headway101.com/blocks/facebook
Description: This block lets you easily integrate facebook comments with headway.
Version: 1.0
Author: Headway101
Author URI: http://www.headway101.com
License: GNU GPL v2
*/

define('FACEBOOK_BLOCK_VERSION', '1.0');

/**
 * Everything is ran at the after_setup_theme action to insure that all of Headway's classes and functions are loaded.
 **/
add_action('after_setup_theme', 'facebook_block_register');
function facebook_block_register() {

	if ( !class_exists('Headway') )
		return;
	
	require_once 'block.php';
	require_once 'block-options.php';
	return headway_register_block('HeadwayFacebookBlock', plugins_url(false, __FILE__));

}


/**
 * If you plan on adding your block to Headway Extend, then this will be the code that will enable auto-updates for the block/plugin.
 **/
add_action('init', 'facebook_block_extend_updater');
function facebook_block_extend_updater() {

	if ( !class_exists('HeadwayUpdaterAPI') )
		return;

	$updater = new HeadwayUpdaterAPI(array(
		'slug' => 'facebook-block',
		'path' => plugin_basename(__FILE__),
		'name' => 'Facebook',
		'type' => 'block',
		'current_version' => FACEBOOK_BLOCK_VERSION
	));

}